## grendel.addressbook.addresscard
Class AddressCardSet

    java.lang.Object
      |
      +--grendel.addressbook.addresscard.AddressCardSet

public class AddressCardSet
extends java.lang.Object
implements ICardSet

Defines an addresscard set.

Constructor Summary
`AddressCardSet()`

Method Summary
`void` | `add(ICard aCard)`
`java.util.Enumeration` | `getCardEnumeration()`
`java.util.Enumeration` | `getEnumeration()`
`void` | `remove(ICard aCard)`
`void` | `sort(java.lang.String[] anAttributeArray)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressCardSet

    public AddressCardSet()

Method Detail

### getCardEnumeration

    public java.util.Enumeration getCardEnumeration()

### add

    public void add(ICard aCard)

  Specified by:
    add in interface ICardSet

### remove

    public void remove(ICard aCard)

  Specified by:
    remove in interface ICardSet

### sort

    public void sort(java.lang.String[] anAttributeArray)

  Specified by:
    sort in interface ICardSet

### getEnumeration

    public java.util.Enumeration getEnumeration()

  Specified by:
    getEnumeration in interface ICardSet